import sys
import os

from images2text import main as images_to_text
from text2csvdeck import text_file_to_csv_deck

CSV_DECK_NAME = "output_deck.csv"
APKG_NAME = "output.apkg"


def pipeline(directory_path):
    # 1. Convert images in the directory to a text file
    text_file_name = images_to_text(directory_path)

    # 2. Convert the text file to a CSV deck using ChatGPT
    text_file_to_csv_deck(text_file_name)

    # 3. Convert the CSV deck to an Anki package
    os.system(f"python csv2ankicards.py {CSV_DECK_NAME} {APKG_NAME}")


if __name__ == "__main__":
    if len(sys.argv) != 2:
        print("Usage: python pipeline.py <directory_path_containing_images>")
        sys.exit(1)

    pipeline(sys.argv[1])
